import React, { useMemo } from 'react'
import { Service } from '../../Utils/HTTP'
import useAuth from '../../Auth/useAuth.js';
import { Question } from '../../Components/Test/Cleaver/Question.jsx'
import { Box,Button, Collapse, List, Slide } from '@mui/material'
import { TransitionGroup } from 'react-transition-group';
// import * as Scroll from 'react-scroll';

export function Cleaver() {

// var scroll = Scroll.animateScroll;

  let auth = useAuth();
  let token = useMemo(() => auth.getToken(), [auth])

  const [totalRespondidas, setRespondidas] = React.useState([]);
  const [totalPreguntas, setPreguntas] = React.useState([]);
  const [current, setCurrent] = React.useState(0);


  React.useEffect(() => {
    let rest = new Service(`/prueba/findid/1`)
    rest.get(token.toString())
      .then(({ data }) => {
        console.log(data.questions)
        setPreguntas(data.questions)
        setRespondidas(data.questions.slice(0,1))
      }).catch(console.log)
  }, [token]);

  const handleAddQuestion = () => {
    // let op = { smooth: true, duration: 200, delay :1, offset :20}
    // scroll.scrollToBottom(op);
    let currentAnswer  = totalRespondidas[totalRespondidas.length - 1];
    const nextHiddenItem = totalPreguntas.filter(({id}) => id !== currentAnswer.id );
    if (nextHiddenItem) {
      setPreguntas(nextHiddenItem);
      let temp = nextHiddenItem.shift()
      setRespondidas([...totalRespondidas,temp]);
      setCurrent(current+1);
    }
  };

  return (
    <div  className="content-section question">
      <Box className="question_body">
        {totalRespondidas.map((item,i) => (
          <Question key={item.id} id={item.id} quiz={item} index={i} current={current} /> )
        )}
      </Box>

      <div className="question_btn">
        <Button
          className="nextquestion_btn"
          sx={{ backgroundColor: 'var(--main)' }}
          variant="contained"
          disabled={totalPreguntas.length <= 0}
          onClick={handleAddQuestion}
        >
          Anterior
        </Button>
        <Button
          className="nextquestion_btn"
          sx={{ backgroundColor: 'var(--main)' }}
          variant="contained"
          disabled={totalPreguntas.length <= 0}
          onClick={handleAddQuestion}
        >
          Siguiente
        </Button>
      </div>
    </div>
  )

}


